GETLeague statistics by season
Season totals such as goals, cards and goal lines.
/v2.2/stats/ with t=season
Try it in the interactive referenceAll Statistics operations
Request
GET /v2.2/stats/?user=USER&token=TOKEN&t=season&id=12588- Every request needs the
userandtokenquery parameters of the account.
Parameters
| Name | Required | Description | Example |
|---|---|---|---|
id | yes | Resource ID: league ID for league, season ID for season, team ID for team, player ID for player, match ID for match. | 1005 |
Example response
{
"data": {
"season_id": 12588,
"league_id": 1005,
"number_of_teams": 12,
"number_of_matches": 0,
"number_of_matches_played": 195,
"team_most_scored": {
"id": "104",
"total_goals": 67
},
"player_most_scored": {
"id": "8274",
"total_goals": 21
},
"substituted_in": {
"total": 922,
"avg_per_match": 4.73,
"avg_every_minutes": 0
},
"assists": {
"total": 354,
"avg_per_match": 1.82,
"avg_every_minutes": 0
},
"cards": {
"total": {
"total": 786,
"avg_per_match": 4.03,
"avg_every_minutes": 22
},
"yellow": {
"total": 744,
"avg_per_match": 3.82,
"avg_every_minutes": 24
},
"yellowred": {
"total": 20,
"avg_per_match": 0.1,
"avg_every_minutes": 878
},
"red": {
"total": 22,
"avg_per_match": 0.11,
"avg_every_minutes": 798
}
},
"goals": {
"overall": {
"total": 577,
"percentage_total_goals": 100,
"avg_per_match": 3.1,
"avg_every_minutes": 30
},
"home": {
"total": 299,
"percentage_total_goals": 51.82,
"avg_per_match": 1.53,
"avg_every_minutes": 59
},
"away": {
"total": 278,
"percentage_total_goals": 48.18,
"avg_per_match": 1.43,
"avg_every_minutes": 63
}
},
"clean_sheets": {
"overall": {
"total": 86,
"avg_per_match": 44.1
},
"home": {
"total": 46,
"avg_per_match": 23.59
},
"away": {
"total": 40,
"avg_per_match": 20.51
}
},
"goals_scored_range": {
"0-15": {
"total": 78,
"percentage_total_goals": 13.52
},
"15-30": {
"total": 75,
"percentage_total_goals": 13
},
"30-45": {
"total": 97,
"percentage_total_goals": 16.81
},
"45-60": {
"total": 97,
"percentage_total_goals": 16.81
},
"60-75": {
"total": 90,
"percentage_total_goals": 15.6
},
"75-90": {
"total": 140,
"percentage_total_goals": 24.26
},
"90-120": {
"total": 1,
"percentage_total_goals": 0.17
}
},
"goal_line": {
"over": {
"0.5": {
"total": 186,
"percentage_total_matches": 95.38
},
"1.5": {
"total": 159,
"percentage_total_matches": 81.54
},
"2.5": {
"total": 112,
"percentage_total_matches": 57.44
},
"3.5": {
"total": 68,
"percentage_total_matches": 34.87
},
"4.5": {
"total": 35,
"percentage_total_matches": 17.95
},
"5.5": {
"total": 14,
"percentage_total_matches": 7.18
}
},
"under": {
"0.5": {
"total": 9,
"percentage_total_matches": 4.62
},
"1.5": {
"total": 36,
"percentage_total_matches": 18.46
},
"2.5": {
"total": 83,
"percentage_total_matches": 42.56
},
"3.5": {
"total": 127,
"percentage_total_matches": 65.13
},
"4.5": {
"total": 160,
"percentage_total_matches": 82.05
},
"5.5": {
"total": 181,
"percentage_total_matches": 92.82
}
}
}
},
"meta": {
"requests_left": 2950,
"user": "your_username",
"plan": "Soccer API 50",
"page": 1,
"pages": 1,
"count": 1,
"total": 1,
"msg": ""
}
}